import os
import zipfile

def compactar_arquivos_pasta(origem):
    pasta_atual = os.path.dirname(os.path.abspath(__file__))
    for _, _, arquivos in os.walk(origem):
        for arquivo in arquivos:
            if 'wrfout_d02' in arquivo:
                caminho_completo = os.path.join(origem, arquivo)
                nome_zip = os.path.join(pasta_atual, os.path.splitext(arquivo)[0] + '.zip')
                with zipfile.ZipFile(nome_zip, 'w', zipfile.ZIP_DEFLATED) as zipf:
                    zipf.write(caminho_completo, os.path.relpath(caminho_completo, origem))

compactar_arquivos_pasta('/home/artaxo/CMAQ_REPO/data/WRFout')
